Package com.google.protobuf

# Enum Class RuntimeVersion.RuntimeDomain

java.lang.Object
java.lang.Enum<RuntimeVersion.RuntimeDomain>
com.google.protobuf.RuntimeVersion.RuntimeDomain

All Implemented Interfaces:
  `Serializable`, `Comparable<RuntimeVersion.RuntimeDomain>`, `Constable`

Enclosing class:
  `RuntimeVersion`

public static enum RuntimeVersion.RuntimeDomain extends Enum<RuntimeVersion.RuntimeDomain>
Indicates the domain of the Protobuf artifact.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GOOGLE_INTERNAL`
`PUBLIC`

## Method Summary

Modifier and Type
Method
Description
`static RuntimeVersion.RuntimeDomain`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RuntimeVersion.RuntimeDomain[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GOOGLE_INTERNAL

public static final RuntimeVersion.RuntimeDomain GOOGLE_INTERNAL

### PUBLIC

public static final RuntimeVersion.RuntimeDomain PUBLIC

## Method Details

### values

public static RuntimeVersion.RuntimeDomain[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RuntimeVersion.RuntimeDomain valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null